Skip to main content
GET
/
api
/
v1
/
ab-tests
List A/B Tests
curl --request GET \
  --url https://api.sequenzy.com/api/v1/ab-tests \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "abTests": [
    {
      "id": "ab_abc123",
      "name": "Subject test",
      "status": "draft",
      "automationNodeId": "node_abc123",
      "variants": [
        {
          "id": "var_a",
          "label": "A",
          "subject": "Welcome",
          "previewText": null,
          "blocks": []
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.sequenzy.com/llms.txt

Use this file to discover all available pages before exploring further.

List A/B tests for the authenticated company. You can filter to tests attached to a sequence.

Request

sequenceId
string
Optional sequence ID. When provided, only A/B tests attached to that sequence are returned.
curl "https://api.sequenzy.com/api/v1/ab-tests?sequenceId=seq_abc123" \
  -H "Authorization: Bearer YOUR_API_KEY"

Responses

{
  "success": true,
  "abTests": [
    {
      "id": "ab_abc123",
      "name": "Subject test",
      "status": "draft",
      "automationNodeId": "node_abc123",
      "variants": [
        {
          "id": "var_a",
          "label": "A",
          "subject": "Welcome",
          "previewText": null,
          "blocks": []
        }
      ]
    }
  ]
}